Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>
Summary: 	A GNU tool for automatically configuring source code.
Name: 		autoconf
Version: 	2.62
Release: 	1
License: 	GPL
Group: 		Development/Tools
Source: 	ftp://prep.ai.mit.edu/pub/gnu/autoconf/autoconf-%{version}.tar.bz2
#Patch0:		autoconf-have_getmntent.patch
URL: 		http://www.gnu.org/software/autoconf/
BuildRequires: 	sed m4
Prereq(post,preun): /sbin/install-info
Requires: 	gawk m4 mktemp perl coreutils
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	bash
BuildRequires:  perl

%define with_check 0

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to 
specify various configuration options.

You should install Autoconf if you are developing software and
would like to create shell scripts that configure your source code
packages. If you are installing Autoconf, you will also need to
install the GNU m4 package.

Note that the Autoconf package is not required for the end-user who
may be configuring software with an Autoconf-generated script;
Autoconf is only required for the generation of the scripts, not
their use.

%post
/sbin/install-info %_infodir/autoconf.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %_infodir/autoconf.info.gz %_infodir/dir
fi

%prep
%setup -q -n %{name}-%{version}
#%patch0 -p1

%build
./configure --prefix=%_prefix
make

%if %{with_check}
  make check
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%_infodir/dir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%_bindir/*
%_infodir/autoconf.info*
# don't include standards.info, because it comes from binutils...
%exclude %_infodir/standards*
%_datadir/autoconf
%_mandir/man1/*

%changelog
* Mon May 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.62-1
- Version update
* Fri Nov 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.61-2
- added have_getmntent patch, fixes compile issues with net-snmp
* Tue Dec 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.61-1
- Version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.60-1
- Version update
* Sun Jun 26 2005 Christian Wasem <wasem@ccux-linux.de> 2.59-7
- add prefix option
* Sun Jun 26 2005 Christian Metzen <metzench@ccux-linux.de> 2.59-6
- Fixed minor Bug
* Sat Jun 25 2005 Andreas Roth <aroth@arsoft-online.com> 2.59-5
- add info dependency for gnu-info-pages
* Sat Jun 25 2005 Christian Metzen <metzench@ccux-linux.de> 2.59-4
- Tweaked specfile more CCux specific
* Wed Jun 22 2005 Andreas Roth <aroth@arsoft-online.com> 2.59-3
- built
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 2.59-2
- Initial Release
